#!/bin/bash

. ./.jprojects.sh

for project in ${LIST}; do
	if [ "${project}" = "jprojects-scripts" ]
	then
		echo "$0: Skipping jprojects-scripts ..."
		continue
	elif [ ! -d "${JPROJECTS_HOME}/${project}" ]
	then
		echo "$0: Project '${project}' does not exist."
		continue
	fi

	echo "$0: Checking '${project}' ..."
	cd "${JPROJECTS_HOME}/${project}"
	STATUS=`git status`
	UNTRACKED=`echo "${STATUS}" | grep "Untracked files:"`
	if [ -n "${UNTRACKED}" ]
	then
		echo "${STATUS}"
	fi
done

echo "$0: All done."
exit 0
